### Virtual Method

# Gio Action get_state_type

since: 2.28

#### Declaration

    const GVariantType*
    get_state_type (
      GAction* action
    )

#### Description

Queries the type of the state of `action`.

If the action is stateful (e.g. created with g_simple_action_new_stateful()) then this function returns the `GVariantType` of the state. This is the type of the initial value given as the state. All calls to `g_action_change_state()` must give a `GVariant` of this type and `g_action_get_state()` will return a `GVariant` of the same type.

If the action is not stateful (e.g. created with g_simple_action_new()) then this function will return `NULL`. In that case, `g_action_get_state()` will return `NULL` and you must not call g_action_change_state().

Available since: 2.28

#### Return value

Type: `GVariantType`

The state type, if the action is stateful.

The data is owned by the called function.
The return value can be `NULL`.